This test is about letting web clients hosted on different domains connect to your server. If you don’t want this just **ignore this test**.

There are two parts to this. The web client needs to discover possible endpoints (Websocket or BOSH) and that discovery file needs to have proper CORS headers set for the browser to be allowed to request the file.

And finally the endpoints themselves need to be properly setup (and in the case of BOSH have CORS headers).

Both `mod_bosh` and `mod_websocket` have config parameters called `cross_domain_bosh` and `cross_domain_websocket` respectively that need to be set to `true`.

Only one of `host-meta` and `host-meta.json` is required to pass this test. However it is recommended to create both.

To pass this test the host-meta files should additionally have [`Access-Control-Allow-Origin: *`](https://xmpp.org/extensions/xep-0156.html#impl) response header so that the file contents can be read by web clients.

Nginx: Example code to add to server block:

```
location /.well-known/host-meta {
    default_type 'application/xrd+xml';
    add_header Access-Control-Allow-Origin '*' always;
}

location /.well-known/host-meta.json {
    default_type 'application/jrd+json';
    add_header Access-Control-Allow-Origin '*' always;
}
```

Apache: Example code to add to `conf/httpd.conf` file:

```
<Location ~ "/\.well-known/host-meta(\.json)?">
    Header set Access-Control-Allow-Origin "*"
</Location>
```
If you're using the built-in Prosody web server, you can instead load the community module [mod_http_altconnect](https://modules.prosody.im/mod_http_altconnect.html), which creates the needed files automatically.
